### Function

# ICalGLib VcardComponent kind_is_valid

since: 4.0

#### Declaration [src]

    gboolean
    i_cal_vcard_component_kind_is_valid (
      ICalVcardComponentKind kind
    )

#### Description [src]

Checks if an `ICalVcardComponentKind` is valid.

Available since: 4.0

#### Parameters

`kind`

  Type: `ICalVcardComponentKind`

  An `ICalVcardComponentKind`.

#### Return value

Type: `gboolean`

True if `kind` id an `ICalVcardComponent` but not the I_CAL_VCARD_NO_COMPONENT, false if not.